Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.configuration
Class WFSConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon.OWSCommonCapabilities
              org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilities
                  org.deegree.ogcwebservices.wfs.configuration.WFSConfiguration

All Implemented Interfaces:
  Serializable

    public class WFSConfiguration

extends WFSCapabilities

Represents the configuration for a deegree `WFService` instance.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Nested Class Summary
`(package private) static class` | `WFSConfiguration.XSDFileFilter`

Field Summary
`protected static ILogger` | `LOG`

Constructor Summary
`WFSConfiguration(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, FeatureTypeList featureTypeList, GMLObject[] servesGMLObjectTypeList, GMLObject[] supportsGMLObjectTypeList, Contents contents, FilterCapabilities filterCapabilities, WFSDeegreeParams deegreeParams)` Generates a new `WFSConfiguration` instance from the given parameters.

Method Summary
`WFSDeegreeParams` | `getDeegreeParams()` Returns the deegreeParams.
`MappedFeatureType` | `getFeatureType(String featureId)` Returns the `MappedFeatureType` for the given feature id.
`Map<QualifiedName,MappedFeatureType>` | `getMappedFeatureTypes()` Returns a `Map` of the feature types that this configuration defines.
`boolean` | `hasUniquePrefixMapping()` Returns whether this WFS has unique prefixes for it's feature ids, so the type of a feature can always be identified by its feature id.
`void` | `setDeegreeParams(WFSDeegreeParams deegreeParams)` The deegreeParams to set.

Methods inherited from class org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilities
`createCapabilities, getFeatureTypeList, getFilterCapabilities, getServesGMLObjectTypeList, getSupportsGMLObjectTypeList, setFeatureTypeList, setServesGMLObjectTypeList, setSupportsGMLObjectTypeList`

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilities
`getContents, getOperationsMetadata, getServiceIdentification, getServiceProvider, setContents, setOperationsMetadata, setServiceIdentification, setServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    protected static final ILogger LOG

Constructor Detail

### WFSConfiguration

    public WFSConfiguration(String version,
                            String updateSequence,
                            ServiceIdentification serviceIdentification,
                            ServiceProvider serviceProvider,
                            OperationsMetadata operationsMetadata,
                            FeatureTypeList featureTypeList,
                            GMLObject[] servesGMLObjectTypeList,
                            GMLObject[] supportsGMLObjectTypeList,
                            Contents contents,
                            FilterCapabilities filterCapabilities,
                            WFSDeegreeParams deegreeParams)
                     throws InvalidConfigurationException

  Generates a new `WFSConfiguration` instance from the given parameters.

  Parameters:
    `version` -
    `updateSequence` -
    `serviceIdentification` -
    `serviceProvider` -
    `operationsMetadata` -
    `featureTypeList` -
    `servesGMLObjectTypeList` -
    `supportsGMLObjectTypeList` -
    `contents` - TODO field not verified! Check spec.
    `filterCapabilities` -
    `deegreeParams` -
  Throws:
    `InvalidConfigurationException`

Method Detail

### getDeegreeParams

    public WFSDeegreeParams getDeegreeParams()

  Returns the deegreeParams.

  Returns:
    the deegreeParams

### setDeegreeParams

    public void setDeegreeParams(WFSDeegreeParams deegreeParams)

  The deegreeParams to set.

  Parameters:
    `deegreeParams` -

### getMappedFeatureTypes

    public Map<QualifiedName,MappedFeatureType> getMappedFeatureTypes()

  Returns a `Map` of the feature types that this configuration defines.

  Returns:
    keys: feature type names, values: mapped feature types

### hasUniquePrefixMapping

    public boolean hasUniquePrefixMapping()

  Returns whether this WFS has unique prefixes for it's feature ids, so the type of a feature can always be identified by its feature id.

  Returns:
    true, if it has unique prefixes, false otherwise

### getFeatureType

    public MappedFeatureType getFeatureType(String featureId)

  Returns the `MappedFeatureType` for the given feature id.

  Parameters:
    `featureId` - feature id to look up
  Returns:
    the `MappedFeatureType` for the given feature id, null if no mapping was found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org